pangomm 2.42.0

Public Types | Static Public Member Functions | List of all members
Pango::LayoutLineTraits Struct Reference

`#include <pangomm/layoutline.h>`

## Public Types
typedef Glib::RefPtr< LayoutLine > | CppType
typedef PangoLayoutLine* | CType
typedef PangoLayoutLine* | CTypeNonConst

## Static Public Member Functions
static CType | to_c_type (const CppType& ptr)
static CType | to_c_type (CType ptr)
static CppType | to_cpp_type (CType ptr)
static void | release_c_type (CType ptr)

## Member Typedef Documentation

## ◆ CppType

typedef Glib::RefPtr<LayoutLine> Pango::LayoutLineTraits::CppType

## ◆ CType

typedef PangoLayoutLine* Pango::LayoutLineTraits::CType

## ◆ CTypeNonConst

typedef PangoLayoutLine* Pango::LayoutLineTraits::CTypeNonConst

## Member Function Documentation

## ◆ release_c_type()

static void Pango::LayoutLineTraits::release_c_type | ( | CType | ptr | ) |
| inline static

## ◆ to_c_type() [1/2]

static CType Pango::LayoutLineTraits::to_c_type | ( | const CppType& | ptr | ) |
| inline static

## ◆ to_c_type() [2/2]

static CType Pango::LayoutLineTraits::to_c_type | ( | CType | ptr | ) |
| inline static

## ◆ to_cpp_type()

static CppType Pango::LayoutLineTraits::to_cpp_type | ( | CType | ptr | ) |
| inline static